\begin{tikzpicture}[
		>={Stealth[round,sep]}, ->,
		align=center, x=6em, y=3em,
		task/.style={rectangle, draw},
		control/.style={circle, draw},
		choice/.style={diamond, draw, node contents={}},
		joined/.style={circle, draw, fill},
		parallel/.style={draw, rectangle, node contents={}, minimum width=12em, inner sep=0pt, text height=0pt, fill}
	]
	\newcommand{\xshift}{5em}
	\newcommand{\yspacing}{.7em}
	\node (wfStart) at (0, 1.15) {};
	\node (loopStart) at (0, 0.66) [choice];
	\node (Search) [task, below=\yspacing of loopStart] {Search};
	\node (AddToBasket) [task, below=\yspacing of Search] {AddToBasket};
	\node (loopEnd) [choice, below=\yspacing of AddToBasket];
	\node (Checkout) [task, below=\yspacing of loopEnd] {Checkout};

	\node (choiceStart) [choice, below=\yspacing of Checkout];
	\node (CreditCard) [task, below=\yspacing of choiceStart, xshift=-\xshift] {CreditCardPayment};
	\node (OnAccount) [task, right=2*\xshift of CreditCard.center, anchor=center] {OnAccountPayment};
	\node (choiceEnd) [choice, below=\yspacing of CreditCard, xshift=\xshift];

	\node (parallelStart) [parallel, below=\yspacing of choiceEnd];
	\node (Confirmation) [task, below=\yspacing of parallelStart, xshift=-\xshift] {Confirmation};
	\node (Shipping) [task, right=2*\xshift of Confirmation.center, anchor=center] {Shipping};
	\node (parallelEnd) [parallel, below=\yspacing of Confirmation, xshift=\xshift];
	\node (wfEnd) [below=\yspacing of parallelEnd] {};

	\coordinate[right=\xshift of Search.center] (belowSearch) ;

	\draw	(wfStart) edge (loopStart);
	\draw	(loopStart) edge (Search);
	\draw	(Search) edge (AddToBasket);
	\draw	(AddToBasket) edge (loopEnd);
	\draw	(loopEnd) edge (Checkout);
	\draw	(Checkout) edge (choiceStart);
	\draw	(choiceStart) -| (OnAccount);
	\draw	(choiceStart) -| (CreditCard);
	\draw	(OnAccount) |- (choiceEnd);
	\draw	(CreditCard) |- (choiceEnd);
	\draw	(choiceEnd) edge (parallelStart);
	\draw	(parallelStart -| Shipping) -- (Shipping);
	\draw	(parallelStart -| Confirmation) -- (Confirmation);
	\draw	(Shipping) -- (Shipping |- parallelEnd);
	\draw	(Confirmation) -- (Confirmation |- parallelEnd);
	\draw	(parallelEnd) edge (wfEnd);
	\draw	(loopEnd) -| (belowSearch) |- (loopStart);

	\let\yshift\undefined
	\let\xspacing\undefined
\end{tikzpicture}